Index: packages/fs/jffs2/current/ChangeLog
===================================================================
RCS file: /cvs/ecos/ecos/packages/fs/jffs2/current/ChangeLog,v
retrieving revision 1.50
diff -u -r1.50 ChangeLog
--- packages/fs/jffs2/current/ChangeLog	3 Aug 2005 20:39:51 -0000	1.50
+++ packages/fs/jffs2/current/ChangeLog	9 Mar 2006 19:58:56 -0000
@@ -1,3 +1,12 @@
+2006-03-09  Patrick Doyle  <wpd@dtccom.com>
+
+	* src/fs-ecos.c: Removed (nonworking) test for gcc-3.2.x for the
+	arm. 
+
+	* src/erase.c (jffs2_mark_erased_block): Worked around a arm-elf
+	gcc-3.2.x compiler bug by initializing members of a structure
+	explicitly rather than using designated initializers.
+
 2005-08-03  Andrew Lunn  <andrew.lunn@ascom.ch>
 
 	* tests/jffs2_1.c: Include <stdio.h> to stop compiler warning.
Index: packages/fs/jffs2/current/src/erase.c
===================================================================
RCS file: /cvs/ecos/ecos/packages/fs/jffs2/current/src/erase.c,v
retrieving revision 1.10
diff -u -r1.10 erase.c
--- packages/fs/jffs2/current/src/erase.c	30 Jul 2005 15:30:42 -0000	1.10
+++ packages/fs/jffs2/current/src/erase.c	9 Mar 2006 19:58:57 -0000
@@ -382,11 +382,12 @@
 	} else {
 
 		struct kvec vecs[1];
-		struct jffs2_unknown_node marker = {
-			.magic =	cpu_to_je16(JFFS2_MAGIC_BITMASK),
-			.nodetype =	cpu_to_je16(JFFS2_NODETYPE_CLEANMARKER),
-			.totlen =	cpu_to_je32(c->cleanmarker_size)
-		};
+		struct jffs2_unknown_node marker;
+
+                memset(&marker, 0, sizeof(marker));
+                marker.magic    = cpu_to_je16(JFFS2_MAGIC_BITMASK);
+                marker.nodetype = cpu_to_je16(JFFS2_NODETYPE_CLEANMARKER);
+                marker.totlen   = cpu_to_je32(c->cleanmarker_size);
 
 		marker_ref = jffs2_alloc_raw_node_ref();
 		if (!marker_ref) {
Index: packages/fs/jffs2/current/src/fs-ecos.c
===================================================================
RCS file: /cvs/ecos/ecos/packages/fs/jffs2/current/src/fs-ecos.c,v
retrieving revision 1.38
diff -u -r1.38 fs-ecos.c
--- packages/fs/jffs2/current/src/fs-ecos.c	30 Jul 2005 15:30:42 -0000	1.38
+++ packages/fs/jffs2/current/src/fs-ecos.c	9 Mar 2006 19:58:58 -0000
@@ -21,11 +21,6 @@
 #include <string.h>
 #include <cyg/io/config_keys.h>
 
-#if (__GNUC__ == 3) && (__GNUC_MINOR__ == 2) && defined (__ARM_ARCH_4__)
-#error This compiler is known to be broken. Please see:
-#error http://ecos.sourceware.org/ml/ecos-patches/2003-08/msg00006.html
-#endif
-
 //==========================================================================
 // Forward definitions
 

